<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MFLTOtfSpec</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MFLTOtfSpec<br/>
<small>
[<a class="el" href="group__m17nFLT.html">FLT API</a>]</small>
</h1><!-- doxytag: class="MFLTOtfSpec" -->
<p>GSUB および GPOS OpenType テーブルの仕様のための型.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html#a65ef8c29707b29a83c7248c5a40e2b18">sym</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html#a9f556deccaf29246e2af13dad4796c10">script</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html#adcbcda3c2b2b2a183e36d9e856c7ee68">langsys</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html#a2abbf55c873077237827f0a66e074138">features</a> [2]</td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>GSUB および GPOS OpenType テーブルの仕様のための型. </p>
<p>型 <a class="el" href="structMFLTOtfSpec.html" title="GSUB および GPOS OpenType テーブルの仕様のための型.">MFLTOtfSpec</a> は、GSUB および GPOSフィーチャーの情報を格納するた めの構造体である。これらフィーチャーは特定のスクリプトおよび言語シ ステムのものである。この情報は、どのフィーチャーをグリフ列に適用す るか、あるいは特定の FLT が特定のフォントに対して有効かどうかの決定 に使用される。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="a65ef8c29707b29a83c7248c5a40e2b18"></a><!-- doxytag: member="MFLTOtfSpec::sym" ref="a65ef8c29707b29a83c7248c5a40e2b18" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMFLTOtfSpec.html#a65ef8c29707b29a83c7248c5a40e2b18">MFLTOtfSpec::sym</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>この仕様を表わすユニークなシンボル。 FLT の <a class="el" href="m17nDBFormat.html#OTF-SPEC">OTF-SPEC</a> と同一の値である。 </p>

</div>
</div>
<a class="anchor" id="a9f556deccaf29246e2af13dad4796c10"></a><!-- doxytag: member="MFLTOtfSpec::script" ref="a9f556deccaf29246e2af13dad4796c10" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMFLTOtfSpec.html#a9f556deccaf29246e2af13dad4796c10">MFLTOtfSpec::script</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>スクリプトおよび言語システムのタグ。 </p>

</div>
</div>
<a class="anchor" id="adcbcda3c2b2b2a183e36d9e856c7ee68"></a><!-- doxytag: member="MFLTOtfSpec::langsys" ref="adcbcda3c2b2b2a183e36d9e856c7ee68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMFLTOtfSpec.html#adcbcda3c2b2b2a183e36d9e856c7ee68">MFLTOtfSpec::langsys</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2abbf55c873077237827f0a66e074138"></a><!-- doxytag: member="MFLTOtfSpec::features" ref="a2abbf55c873077237827f0a66e074138" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="structMFLTOtfSpec.html#a2abbf55c873077237827f0a66e074138">MFLTOtfSpec::features</a>[2]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>GSUB フィーチャータグの配列を第1要素、GPOS フィーチャータグの 配列を第2要素とする配列。各配列の末尾は0で示される。フィーチャー の指定が1つもない場合はこの配列の要素は NULL でもよい。</p>
<p>(1) この情報がグリフ列に適用すべきフィーチャーの選択に使われる場 合。もし配列自身がNULLなら、どのフィーチャーも適用しない。もし最 初の要素が 0xFFFFFFFF なら、２番目以降のフィーチャー（もしあれ ば）を除くすべての適用可能なフィーチャーを適用する。それ以外の場 合リストされたすべてのフィーチャーを適用する。</p>
<p>(2) この情報が特定の FLT が特定のフォントに有効かどうかの決定に使 われる場合。もし配列自身がNULLなら、フォントはフィーチャーを一つ も持っていてはいけない。もし最初の要素が0xFFFFFFFFなら、フォント は２番目の要素以降のフォントを持っていてはいけない。それ以外の場 合、フォントは0xFFFFFFFF 以前のすべてのフィーチャーを持ち、かつ 0xFFFFFFFF 以降のフィーチャーは一つも持っていてはいけない。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
